{
  "name": "globalid-web-client-launcher",
  "description": "Package used by partner websites to integrate with our connect widgets",
  "main": "dist/index.js",
  "scripts": {
    "build": "npm run build:package && npm run build:demo",
    "build:package": "webpack --config config/webpack.build.js",
    "build:demo": "webpack --config config/webpack.demo.js",
    "test": "karma start config/karma.conf.js --log-level debug --single-run",
    "start-test": "webpack-dev-server --config ./config/webpack.config.js --hot",
    "lint": "tslint -p tsconfig-lint.json \"src/**/*.ts\"  \"tests/**/*.ts\"",
    "lint-fix": "tslint -p tsconfig-lint.json --fix \"src/**/*.ts\" \"tests/**/*.ts\"",
    "test:e2e": "mkdir -p tests/coverage/e2e && cucumber-js -f json:tests/coverage/e2e/cucumber_report.json"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/globalid/opensource/web-client-launcher"
  },
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@types/jasmine": "2.8.6",
    "@types/jasmine-expect": "3.8.1",
    "@types/jasmine-matchers": "0.2.30",
    "@types/node": "10.9.2",
    "awesome-typescript-loader": "5.2.0",
    "btoa": "^1.2.1",
    "chai": "^4.2.0",
    "chrome-remote-interface": "^0.26.1",
    "chromedriver": "2.40.0",
    "cucumber": "^4.2.1",
    "cucumber-html-reporter": "^4.0.3",
    "dotenv": "^6.1.0",
    "html-webpack-plugin": "^3.2.0",
    "istanbul": "0.4.5",
    "istanbul-instrumenter-loader": "3.0.1",
    "jasmine": "3.1.0",
    "jasmine-core": "3.1.0",
    "jasmine-expect": "3.8.4",
    "karma": "2.0.5",
    "karma-chrome-launcher": "2.2.0",
    "karma-coverage-istanbul-reporter": "2.0.1",
    "karma-jasmine": "1.1.2",
    "karma-sourcemap-loader": "0.3.7",
    "karma-spec-reporter": "0.0.32",
    "karma-typescript": "3.0.13",
    "karma-webpack": "3.0.0",
    "raw-loader": "^0.5.1",
    "selenium-webdriver": "^4.0.0-alpha.1",
    "source-map-loader": "0.2.4",
    "sourcemap": "0.1.0",
    "tslint": "5.11.0",
    "tslint-config-globalid": "1.0.6",
    "typescript": "2.8.4",
    "webpack": "4.12.0",
    "webpack-cli": "3.0.3",
    "webpack-dev-server": "^3.1.4"
  },
  "dependencies": {
    "copy-webpack-plugin": "^5.0.0",
    "globalid-window-messaging": "0.0.6"
  }
}
